gnutls_ocsp_status_request_get2(3)

NAME
gnutls_ocsp_status_request_get2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_ocsp_status_request_get2(gnutls_session_t session, unsigned idx, gnutls_datum_t * response);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

unsigned idx
    the index of peer's certificate

gnutls_datum_t * response
    a gnutls_datum_t with DER encoded OCSP response

DESCRIPTION
This function returns the OCSP status response received from the TLS server for the certificate index provided. The index corresponds to certificates as returned by gnutls_certificate_get_peers. When index is zero this function operates identically to gnutls_ocsp_status_request_get(). The returned response should be treated as constant. If no OCSP response is available for the given index then GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/